2 Replies Latest reply: May 8, 2013 1:52 PM by Niel
mgonzales1489 Level 1 Level 1 (0 points)

I'm not able to update my software from Mac OS X 10.5.8, I need to download a program called Citrix so I can work from my computer and it says I need to have Mac OS X 10.6 or better, and my computer says there isn't an update available and it's not letting me download 10.6 or Higher. Someone please help!


MacBook, Mac OS X (10.5.8)